因瞎升级PHP, 导致重新安装系统及WordPress

因瞎升级PHP, 导致重新安装系统及Wordpress

一切都是因为不懂技术造成的。

网站后台显示 PHP 7.3 版本过低,建议升级。但在没有搞明白PHP是啥玩意前,就按网上教程一顿瞎折腾安装了PHP 8,然后网页就打不开了。。。

之前装的是 WordPress腾讯专享版,采用CentOS系统,这个系统好像压根不支持PHP 8.

不知怎么挽救,只好采用重装大法。这次选择了Debian 12,这个系统至少对 PHP 版本没啥限制。

然后按宝塔官网的安装命令行重新安装了宝塔面板和Wordpress。

万幸的是,之前把根目录下的网站打包备份了。把备份中的uploads和themes两个文件夹上传覆盖后,尽然没出啥问题,图片和主题都还能用。

然后折腾主题啥的,整个下来好几个小时没有了。

所以,没事不要瞎折腾。

 

原创文章,作者:闲趣,如若转载,请注明出处:http://xqrp.com/661385.html

上一篇 2024 年 4 月 26 日
下一篇 2024 年 5 月 15 日

相关推荐

  • 如何快速提升国航会员级别并累积国航里程

    国航“凤凰知音”会员不同级别意味着不同待遇,包括机场贵宾室、额外里程累计、优先登机、更高的行李额度、星空联盟会员权益等等。普通会员和银卡会员权益很少,但金卡和白金卡会员会提供很多非…

    2023 年 3 月 5 日
  • 配了个新眼镜

    昨晚配了个眼镜。旧的眼镜好几年了,最近越看越模糊,估计是镜片不太好了,或者自己的近视加散光度数又增长了。因为忘了之前的测光数据,也就没法确认是不是自己的近视加散光更加严重了。 这次…

    2023 年 8 月 15 日

发表回复

您的电子邮箱地址不会被公开。 必填项已用 * 标注

评论列表(2条)

  • 明月登楼
    明月登楼 2024 年 6 月 22 日 下午6:51

    其实系统倒应该是支持PHP8的,估计是WordPress主题不支持或者某个插件不支持!

  • 手滑段子
    手滑段子 2024 年 6 月 29 日 上午8:20

    宝塔不可以多个版本php么,应该可以在面板切回去,,不必重装这么多